curl --request DELETE \
--url https://api.comstruct.com/v1/invoice-dimensions/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.comstruct.com/v1/invoice-dimensions/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.comstruct.com/v1/invoice-dimensions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"placement": "header",
"type": "option",
"is_mandatory": true,
"auto_assign_gl_account": true,
"recognition": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Delete invoice dimension
Erforderliche Berechtigungen: invoices:write
Löscht eine Dimension anhand ihrer ID.
Authorizations
API-Schlüssel zur Authentifizierung. Kontaktieren Sie Ihren Customer Success Manager, um einen API-Schlüssel zu erhalten.
Jeder Endpunkt erfordert spezifische Berechtigungen (Scopes); die erforderlichen Scopes werden pro Endpunkt angezeigt.
Path Parameters
Dimension-UUID
Response
Dimension gelöscht
Dimension-UUID
Bezeichnung der Dimension (z. B. Kostenstelle, Projekt)
Ebene (header = gesamte Rechnung, line_item = Rechnungsposition, account = Kontierung)
header, line_item, account option: Werte aus vordefinierten Dimension-Optionen (option_id bei Zuweisungen).
text: Freitext pro Zuweisung (dimension_id + text_value); keine Optionen erforderlich.
option, text Ob die Dimension Pflicht ist
Wenn aktiv, füllt die Zuweisung einer Option mit verknüpftem Sachkonto das G/L-Feld der Kontierung automatisch (nur sinnvoll bei Options-Dimensionen auf Kontoebene).
Wenn false, versucht die KI-Extraktion keine Werte für diese Dimension zu erkennen.